Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

We have a Dell Poweredge server running ESXi 4.1 U1 that was installed using Dell's customized ESXi ISO. Now we would like to upgrade to 4.1 U2 and upgrade any Dell specific bits that were installed.

I downloaded the 4.1 U2 Dell Customized ISO and tried to install over the existing installation but it doesn't look like I can do that non-destructively.

I tried upgrading using VMware's Update Manager, and that upgrades the ESXi installation, but I don't think it upgrades the Dell specific bits.

share|improve this question

3 Answers 3

As far as the Dell management components are concerned, you should be able to add the Dell OpenManage Offline Bundle and VIB for ESXi to the Update Manager Patch Repository as a Host Extension, create a baseline for Host Extensions, attach the baseline to your host, scan the host for patches and upgrades, and use Update Manager to install/update the OpenManage bundle.

I believe the latest version of OpenManage for ESXi4 is 6.5.

http://www.dell.com/support/drivers/us/en/04/DriverDetails?driverId=R300511&fileId=2731126594

share|improve this answer
1  
Oy, this was smart. I've never bothered to update the extensions, but I will from now on! :) –  pauska Aug 2 '12 at 20:04
    
Yeah, I didn't know either. Is this an option for HP, too? –  ewwhite Aug 2 '12 at 20:10
    
I'm a VMware neophyte but I stumbled on this several months ago and have been using this method ever since. I have to say that tracking down consistent info on installing/updating OpenManage on ESXi is sometimes a very frustrating endeavor. At any rate, I'm not certain about which systems support this method (both VMware versions and Dell server platforms) but it's worked every time I've tried it. I just did this for both ESXi 4.1 and ESXi 5.0. –  joeqwerty Aug 2 '12 at 20:10
    
@ewwhite vibsdepot.hp.com –  pauska Sep 27 '12 at 21:06

The Dell specific bits are really just CIM and SNMP providers. You can use update manager to update this installation. If you choose to do something like upgrade to 5.0, then you should use a Dell ISO.

share|improve this answer

Run update manager as normal. Dell specifics are probably similar to HP's, and are independent of the ESXi installation. I'll often take an HP custom ISO and update it via update manager. The HP agents/utilities remain unchanged.

You should also be able to update the Dell bits independently as well. Look for a Dell "offline bundle" containing the CIM package.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.